import { PolicyRecommendation } from "matrix-js-sdk/src/models/invites-ignorer";
export declare const RECOMMENDATION_BAN = PolicyRecommendation.Ban;
export declare const RECOMMENDATION_BAN_TYPES: PolicyRecommendation[];
export declare function recommendationToStable(recommendation: PolicyRecommendation, unstable?: boolean): PolicyRecommendation | null;
export declare class ListRule {
    private _glob;
    private readonly _entity;
    private readonly _action;
    private readonly _reason;
    private readonly _kind;
    constructor(entity: string, action: PolicyRecommendation, reason: string, kind: string);
    get entity(): string;
    get reason(): string;
    get kind(): string;
    get recommendation(): string | null;
    isMatch(entity: string): boolean;
}
